Package org.codehaus.janino

# Class CodeContext.LineNumberOffset

java.lang.Object
org.codehaus.janino.CodeContext.Offset
org.codehaus.janino.CodeContext.LineNumberOffset

Enclosing class:
  `CodeContext`

public class CodeContext.LineNumberOffset extends CodeContext.Offset
An `CodeContext.Offset` who's sole purpose is to later create a 'LineNumberTable' attribute.

## Constructor Summary

Constructors
Constructor
Description
`LineNumberOffset(int offset, org.codehaus.janino.StackMap stackMap, short lineNumber)`

## Method Summary

### Methods inherited from class org.codehaus.janino.CodeContext.Offset

`getCodeContext, getStackMap, set, setBasicBlock, setOffset, setStackMap, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### LineNumberOffset

public LineNumberOffset(int offset, org.codehaus.janino.StackMap stackMap, short lineNumber)

Parameters:
  `lineNumber` - 1...65535